﻿<AML>
 <Item type="Method" id="6FF0F69ABF0442BFB0D2365A14E2674A" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[ /* *****************************************************************************
  Method Name:			sop_serive_itemcount_insertrow
  Created By:		    SolidCAD 
  Creation Date:		2018-01-23
  Description:
  	When click "New" in Details,
  	-Set no of row to stk_item.
  	
  Hooks:
  	Type:	RelationshipType	:	pop_invoice_service_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	pop_invoice_service_part
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_ci_ser_part_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_ci_service_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_invoice_ser_part_detail
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_invoice_service_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_po_service_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_po_service_part_details
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_so_service
  	Event:	Grid Event ( OnInsertRow )
  	
  	Type:	RelationshipType	:	sop_so_service_part
  	Event:	Grid Event ( OnInsertRow )

  Revisions:
  	Rev Date		Modified By			Description
  	YYYY-MM-DD		$username$			Initial creation
  ***************************************************************************** */
 //debugger;
 var myInnovator = new Innovator();
 var thisItem = parent.thisItem;

 var relItem = thisItem.getItemsByXPath("//Item[@id='" + relationshipID + "']");
 var itemIndex = gridApplet.GetColumnIndex("sop_item_D");
 var rowcount = gridApplet.GetRowCount(relationshipID) + 1;

 relItem.setProperty("stk_item", rowcount);

 return this;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_serive_itemcount_insertrow</name>
 </Item>
</AML>